import datetime
from . import constantes_document_latex as constantes

def annee_scolaire_admissible(annee_scolaire: str) -> bool:
    """
    Entrée :
    --------
            annee_scolaire : chaîne de caractère

    Sortie :
    --------
            bool : booléen décrivant si la chaîne de caractère est au format aaaa-aaaa+1 avec aaaa une année admissible, et False sinon
    """
    if len(annee_scolaire.split('-')) != 2:
        return False
    else:
        annee_n, annee_n_plus_un = annee_scolaire.split('-')
        return (int(annee_n) == (int(annee_n_plus_un)-1)) and (annee_n in constantes.annees_valables)

def annee_scolaire() -> str:
    """
    Sortie :
    --------
            str : Retourne l'année scolaire en cours, si l'argument est True alors on renvoie toujours l'année scolaire en cours sauf à partir de juin où on renvoie l'année suivante 
    """
    year, month = [element for element in datetime.datetime.now().strftime("%Y-%m").split('-')]
    if month in constantes.annee_scolaire_en_cours:
        return f"{year}-{int(year)+1}"
    if month in constantes.annee_scolaire_plus_un:
        return f"{int(year)-1}-{year}"
